#!/bin/sh

BASE="/usr/local/AppCentral/elephantdrive"
CONFIG_DIR="/usr/local/etc"
export LD_LIBRARY_PATH="${BASE}/lib"
WEBUIWWWROOT="WebUIWWWRoot=$BASE/www"

cd /

init ()
{
		CONF_PATH=${CONFIG_DIR}/elephantdrive.config
		if [ ! -f "$CONF_PATH" ]; then
			mkdir -p ${CONFIG_DIR}
			touch "$CONF_PATH"
		fi
		chown -R admin:administrators $CONF_PATH
		chmod -R 664 $CONF_PATH
}

start_service ()
{
    init
		# Launch the service in the background.
    ${BASE}/bin/elephantdrive -D -c ${CONFIG_DIR} $WEBUIWWWROOT  \
    "AppRoot=$BASE" \
    "SmbConfFile=/usr/builtin/etc/samba/smb.conf" \
		"WebUIPort=17019" \
		"WebUIAddress=0.0.0.0" \
    "VetoFiles=/#Recycle/"
    return $?
}

stop_service ()
{
    # Kill elephantdriveDaemon
    ${BASE}/bin/elephantdrive -K
}

case $1 in
    start)
        start_service
        echo "Running ElephantDrive"
        exit 0
        ;;
    stop)
        stop_service
        echo "Stopped ElephantDrive"
        exit 0
        ;;
    *)
        exit 1
        ;;
esac
